import * as React from "react";
import {
  StyleSheet,
  TouchableOpacity,
  Text,
  View,
  Platform,
} from "react-native";
import {
  heightPercentageToDP as hp,
  widthPercentageToDP as wp,
} from "react-native-responsive-screen";

const CustomButton = (props) => {
  return (
    <View>
      <TouchableOpacity
        activeOpacity={0.5}
        onPress={props.onPress}
        style={[
          props.disabled
            ? {
                ...styles.buttonStyle,
                backgroundColor: "#61dafb",
              }
            : styles.buttonStyle,
          props.buttonStyle,
        ]}
        disabled={props.disabled}
      >
        <Text style={[props.textStyle, styles.textStyle]}>{props.title}</Text>
      </TouchableOpacity>
    </View>
  );
};
CustomButton.defaultProps = {
  disabled: false,
  useIcon: false,
  iconSize: 35,
  iconColor: "white",
  useLIcon: false,
  iconLSize: 35,
  iconLColor: "white",
};
const styles = StyleSheet.create({
  buttonStyle: {
    backgroundColor: "#61dafb",
    width: wp("90%"),
    borderRadius: 12,
    height: hp("6.5%"),
    flexDirection: "row",
    justifyContent: "center",
    alignItems: "center",
    ...Platform.select({
      android: {},
      ios: {
        shadowColor: "#fff",
        shadowOffset: {
          width: 2,
          height: 1,
        },
        shadowOpacity: 0.3,
        shadowRadius: 1.41,
      },
    }),
  },
  textStyle: {
    textAlign: "center",
    padding: 10,
    color: "#fff",
  },
});
export default CustomButton;
